AviatoAviato
DeveloperAPI ReferenceLibraries

/api/libraries

GET
/api/libraries

Query Parameters

skipProfileFilter?|

Skip profile-level library filtering (still applies user-level access). Useful for settings UIs that need to show all user-accessible libraries.

includeHidden?|

Include libraries flagged as hidden. Honored only when the server has an active Aviato Afterburner license; otherwise ignored.

Response Body

application/json

curl -X GET "https://example.com/api/libraries"
{
  "libraries": [
    {
      "id": "string",
      "name": "string",
      "icon": "string",
      "mediaType": "string",
      "mediaTypeConfig": {
        "episodic": true,
        "seekable": true,
        "idleProtection": true,
        "queueStyle": "panel",
        "autoplay": true,
        "queueStrategy": "eager",
        "shuffleStyle": "hidden",
        "repeatStyle": "hidden"
      },
      "libraryPlugin": "string",
      "fsPlugin": "string",
      "indexerPlugin": "string",
      "fsConfig": {
        "property1": null,
        "property2": null
      },
      "indexerConfig": {
        "property1": null,
        "property2": null
      },
      "settings": {
        "property1": null,
        "property2": null
      },
      "pipelinePlugins": {
        "property1": {
          "enabled": true
        },
        "property2": {
          "enabled": true
        }
      },
      "writeAccess": true,
      "hidden": true,
      "scanStatus": "string",
      "lastScannedAt": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "itemCount": 0,
      "totalSize": 0,
      "totalDuration": 0,
      "recentPosters": [
        "string"
      ]
    }
  ]
}